function [ab,Mcap,kount]=smcdis(dig,N,eps0,quad,Mmax)
% SMCDIS Symbolic counterpart of mcdis
%
global mc mp iq idelta irout DM uv AB 
f='Mcap exceeds Mmax in smcdis with irout=%2.0f\n';
digits(dig);
if N<1, error('Input variable N out of range'), end
iMcap=1; kount=-1;
ab(:,2)=vpa(zeros(N,1)); b=vpa(ones(N,1));
Mcap=floor((2*N-1)/idelta);
%
% alternative choice of Mcap when eps0=1
% 
Mcap=N-1;
while any(double(abs(ab(:,2)-b))>eps0*double(abs(ab(:,2))))
  b=ab(:,2);
  kount=kount+1;
  if kount>1, iMcap=2^(floor(kount/5))*N; end
  Mcap=Mcap+iMcap;
  if Mcap>Mmax 
    fprintf(f,irout)
    return
  end
  mtMcap=mc*Mcap;
  if iq~=1, uv=sfejer(dig,Mcap); end
  for i=1:mc
    im1tn=(i-1)*Mcap;
    xw=feval(quad,Mcap,i);
    xwm(im1tn+1:im1tn+Mcap,:)=xw;
  end
  if mp~=0, xwm(mtMcap+1:mtMcap+mp,:)=DM; end
  if irout==1
    ab=sstieltjes(dig,N,xwm);
  else
    ab=slanczos(dig,N,xwm);
  end 
  err=max(double(abs(ab(:,2)-b))), Mcap
end
