function ab=sr_explog(nofdig)
%SR_EXPLOG Recurrence coefficients for a weight function on
%[0,Inf] with an algebraic/extended-logarithmic singularity.
%   AB=SR_EXPLOG(NOFDIG,N) generates in DIG-digit arithmetic
%   the Nx2 array AB of the first N recurrence coefficients for
%   for the weight function w(x)=x^A*exp(-x)*log(1+1/x) on [0,Inf]
%   using a 2-component discretization procedure. The variables 
%   DIG, A (either 0, 1, 3, or 5) must be entered when prompted. 
%   The integer N<=65 is selected foreach A as appropriate.

global mc mp iq idelta irout eps0 ab_explog_fin ab_explog_inf dig a
dig=input('enter the value of dig');
a=input('enter the value of a');
Mmax=65; 
if a==0
  N=65;
  ab_explog_fin=loadvpa('coeff_explog0_fin.txt',9,32,65,2);
  ab_explog_inf=loadvpa('coeff_explog0_inf.txt',9,32,65,2);
elseif a==1
  N=64;
  ab_explog_fin=loadvpa('coeff_explog1_fin.txt',9,32,64,2);
  ab_explog_inf=loadvpa('coeff_explog1_inf.txt',9,32,64,2);
elseif a==3
  N=63
  ab_explog_fin=loadvpa('coeff_explog3_fin.txt',9,32,63,2);
  ab_explog_inf=loadvpa('coeff_explog3_inf.txt',9,32,63,2);
elseif a==5
N=62
  ab_explog_fin=loadvpa('coeff_explog5_fin.txt',9,32,62,2);
  ab_explog_inf=loadvpa('coeff_explog5_inf.txt',9,32,62,2);
else
  error('a not in range');
end
mc=2; mp=0; iq=1; idelta=2; irout=1; 
%
% The choice eps0=1 below forces the discretization procedures to
% execute only one iteration, which is enough since this single
% iteration already yields exact answers.
%  
eps0=1;
[ab,Mcap,kount]=smcdis(dig,N,eps0,@squad_explog,Mmax); 
ab=vpa(ab,nofdig);
%[Mcap kount]
